<?php
 
session_start();
$com = "A";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
include("DFJQUERY.inc");
include("DF80000.php");
include("varfun.php");
?>
<html>
<link rel="stylesheet" href="COS_CSS.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0];
	}
	$("#des_ope").autocomplete('CO10300_DS.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 300,           //alto del cuadro para el scroll
		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#id_ope").autocomplete('CO10300_DS.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 300,           //alto del cuadro para el scroll
		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[1];
		},	                        
		extraParams:{tipBus:'c'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#id_ope").result(function(event, data, formatted){
		$('#des_ope').val(data[0]);
		$('#des_ope').focus();
	});	
	$("#des_ope").result(function(event, data, formatted){
		$('#id_ope').val(data[1]);
	});	
	$("input[@name=tip_bus]").click(function(){
		$('#des_ope').setOptions({
			extraParams:{
				tipBus:getValRadChe('tip_bus')
			}
		});
	});
});
function openWindow(dataGen,valores){
	var objDate=new Date();
	var getVars,getVarsAux,distPage;
	var idVentana;
	for(getVarsAux in valores){
		getVars +='&'+getVarsAux+'='+valores['getVarsAux'];
	}
	if(typeof dataGen.width=='undefined') dataGen.width='800';
	if(typeof dataGen.height=='undefined') dataGen.height='600';
	distPage='?tmr='+objDate.getHours()+objDate.getMinutes()+objDate.getSeconds()+objDate.getDay()+objDate.getMonth()+objDate.getFullYear();
	idVentana=window.open(dataGen.action+distPage+getVars,dataGen.name,'width='+dataGen.width+',height='+dataGen.height+',top=100,left=50,scrollbars=yes,menubar=no,status=no');
	return idVentana;
}
</script>

<style type="text/css">
<!--
#tableDetail {background-color:#F8F8F8;
}
.Estilo34 {
	color: #FFFFFF;
	font-weight: bold;
}
.Estilo35 {color: #FFFFFF}

-->
</style>
<body>
<DIV STYLE="position:absolute; top:-20px; left:-10px">
<img src="img/sihteolsd.gif"/>
</DIV>
<? 
/*Verifica que exista Variable contenedora del Id del Encabezado*/	
if (!isset($_REQUEST['bot'])){
	echo '<h2>!!! SELECCIONA UN REGISTRO... ACTUALIZANDO !!!</h2>';
	echo '<meta content="1; url=CO10300_PR.php"  HTTP-EQUIV="REFRESH">';
	exit();
}
/****************************************************************/
/*Llena Variable para verificar si esta en modo Update*/
if(!isset($_POST['block_mod'])){
	$bMod=false;			//Bandera de modificar, bloquea pagina en modo Modificar esperando el evento que la cambie de estado
	$bSel='';				//Id registro a modificar
}
else{
	$bMod=$_POST['block_mod'];
	$bSel=$_POST['reg_mod'];
}
/****************************************************/
$bModPri=false;				//Bandera de Modificar(True solo En el Primer Bloqueo o recarga de pagina en modo Modificar)
$id_enc=$_REQUEST["bot"]; 	//Id de Encabezado
$id_det=$_POST['bot_det'];	//Id de Detalle (si se selecciono alguno)
/*Crear Objetos Necesarios para Manipular Encabezado y Detalle*/
include('DI21100_CL.php');
$dataEnc['idInvent']=$id_enc;
$dataDet['idInvent']=$id_enc;
$dataDet['idInvend']=$id_det;
//echo "DETALLE: $dataDet['idInvend']";
//$encInv = new EncFac($dataEnc);
//$detInv = new DetFac($dataDet);
/************************************************************/
/*Recuperar Informaci\F3n de Encabezado y la coloca en los objetos HTML*/
//$res=$encInv->busReg();
$dt_encinv=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM cos_ped WHERE n_reg='$id_enc'"));
$_REQUEST['id_prod']=$dt_encinv['np_desc1'];
$_REQUEST['fec_prod']=chfecha($dt_encinv['fecha'],'Y-m-d','d/m/Y');
$_REQUEST['tip_prod']=$dt_encinv['almacen'];
$_REQUEST['n_reg']=$dt_encinv['n_reg'];
/******************************************************************/
/*Verificamos Si es la Primer Carga de La Pagina por si es necesario realizar alguna accion*/
if(!isset($_POST['DI21100_AGDET'])){
	$_REQUEST['id_iva']  =$dt_encinv['idTasIva'];
}
/************************************************/
/*Bloque de condiciones para Realizar las distintas operaciones sobre el detalle*/
if(isset($_POST['agregar'])){
if($_POST['id_ope'] == "" || $_POST['des_ope'] == "" || $_POST['cantidad'] == ""){
echo alert_js("LLENE LOS CAMPOS VACIOS");
}else{
	//codigo agregar  solo guarda el id del producto
	$dataDet['idInventDet']=$_POST['id_ope'];
	$dataDet['canProd']=$_POST['cantidad'];
	$dataDet['desProd']=$_POST['toldes'];
	$dataDet['TotalProd']=$_POST['ivatotal'];
	//potasio,rfc,sodio,kcal,calcio,carbo,lipido,proteina,total,costo,unidad   400
	//$detInv->resetData($dataDet);
	//$rs=$detInv->agregar();
		$rs=mysqli_query($con ,"INSERT INTO cos_ped_det SET nparte1='".$dataDet['idInvent']."', nparte1_det='".$dataDet['idInventDet']."', can_Ref='".$dataDet['canProd']."', toldes='".$dataDet['desProd']."', ivatotal='".$dataDet['TotalProd']."', usuario='".$_SESSION['num_usu']."', acc_fec=CURDATE(), acc_hor=CURTIME()");
	}if($rs){
		$_REQUEST['id_ope']  ='';
		$_REQUEST['des_ope'] ='';
		$_REQUEST['cantidad']='';	
		$_REQUEST['toldes']='';	
		$_REQUEST['ivatotal']='';
         //  nombre del campo....		
	}
	
}
elseif(isset($_POST['modificar']) && isset($_POST['bot_det'])){
	//Recupera Registro de Detalle y coloca los valores en los objetos HTML
	//Cambia la bandera de modificar a True y llena la variable que contiene el id del registro a modificar
	$dt_invendMod=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM cos_ped_det WHERE id_invend='".$dataDet['idInvend']."'"));
	$auxInvent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM corec2 WHERE n_reg='".$dt_invendMod['nparte1_det']."'"));
	$_REQUEST['id_ope']=$dt_invendMod['nparte1_det'];
	$_REQUEST['des_ope']=$auxInvent['np_desc1'];	
	$_REQUEST['cantidad']=$dt_invendMod['can_ref'];
	$_REQUEST['toldes']=$dt_invendMod['toldes'];
	$_REQUEST['ivatotal']=$dt_invendMod['ivatotal'];
	//izquierda. nombre del campo---->derecha. nombre de la variable.
	$bSel=$_POST['bot_det'];
	$bModPri=true;
	$bMod=true;
}
elseif(isset($_POST['eliminar']) && isset($_POST['bot_det'])){
	//codigo eliminar
	$rs=mysqli_query($con ,"DELETE FROM cos_ped_det WHERE id_invend='".$dataDet['idInvend']."'");
}
elseif(isset($_POST['modificarReg'])){
	$dataDet['idInventDet']=$_POST['id_ope'];
	$dataDet['canProd']=$_POST['cantidad'];
	$dataDet['desProd']=$_POST['toldes'];
	$dataDet['TotalProd']=$_POST['ivatotal'];
	//$detInv->resetData($dataDet);
	//$rs=$detInv->agregar();
	$rs=mysqli_query($con ,$sq="UPDATE  cos_ped_det SET nparte1_det='".$dataDet['idInventDet']."', can_ref='".$dataDet['canProd']."', ivatotal='".$dataDet['TotalProd']."', toldes='".$dataDet['desProd']."', usuario='".$_SESSION['num_usu']."', acc_fec=CURDATE(), acc_hor=CURTIME() WHERE id_invend='$bSel'");
	//echo $sq;
	$bMod=false;
	$bSel='';
	if($rs){
		$_REQUEST['id_ope']  ='';
		$_REQUEST['des_ope'] ='';
		$_REQUEST['cantidad']='';	
		$_REQUEST['toldes']='';		
		$_REQUEST['ivatotal']='';			
	}
}elseif(isset($_POST['terminarCaptura'])){
		echo '<meta content="0; url=CO10300_PR.php"  HTTP-EQUIV="REFRESH">';		
		mysqli_close();
		exit();
}

/*Si Se Realizaron Operaciones sobre detalle actualiza Totales Factura*/
if($rs){
	//$encInv->resetData($detInv->getTotFac());
	//$encInv->actTotFac();
}
/****************************************************************/
/*Busca los Registros pertenecientes al encabezado en cuestion*/
$sq_detfac=mysqli_query($con ,"SELECT * FROM cos_ped_det WHERE nparte1='".$dataEnc['idInvent']."'");

/*************************************************************/
?>
 <form name="frm1" method="post" action="" enctype="multipart/form-data">
<input type="hidden" name="DI21100_AGDET" id="DI21100_AGDET" value="DI21100_AGDET.php">
<input type="hidden" name="bot" id="bot" value="<? echo $_REQUEST['bot'];?>">
<input type="hidden" name="reg_mod" id="reg_mod" value="<? echo $bSel;?>">
<input type="hidden" name="block_mod" id="block_mod" value="<? echo $bMod;?>">

  <table   align="center" bordercolor="#FF6600" bordercolordark="#FF6600">
    <tr>
      <th colspan="5" class=\"titulo\"><div align="center">AGREGAR PEDIDO SOBRE RECETA</div></th></tr>
    <tr>
      <td width="90" style="#6E4940"><span class="Estilo34">NOMBRE </span></td>
      <td width="394" colspan="2"><input name="id_prod" type="text" tabindex="1" value="<? echo $_REQUEST['id_prod']?>" size="50" readonly/>      </td></tr>
    <tr>
      <td style="#6E4940"><span class="Estilo35"><strong>FECHA</strong></span></td>
      <td colspan="2"><input name="fec_prod" type="text" tabindex="1" value="<? echo $_REQUEST['fec_prod']?>" size="10" readonly/></td>
    </tr>
  </table>
  <table  align="center" bordercolor="#FF6600" bordercolordark="#FF6600">
    <tr>
      <th width="435">RECETA</th>
      <th width="69">PORCIONES</th>
      <td width="100" rowspan="2"><div align="center">
        <?php

		  	if($bMod){
				echo ' <input name="modificarReg" type="submit" id="modificarReg" value="Modificar" class="bot_WsW">';
			}else{
				echo ' <input name="agregar" type="submit" id="agregar" value="Agregar" class="original">';
			}
		  ?>
      </div></td>
    </tr>
    <tr style="#F2F2F2">
      <td nowrap style="#E9E9E9"><label>
        <input name="id_ope" type="text" id="id_ope" size="10" value="<? echo trim($_REQUEST['id_ope']);?>"></label>
          <label><input name="des_ope" type="text" id="des_ope" size="60" value="<? echo trim($_REQUEST['des_ope']);?>"></label></td>
      <td nowrap style="#E9E9E9"><input name="cantidad" type="text" id="cantidad" value="<? echo $_REQUEST['cantidad'];?>" size="10" onKeyUp="sumaTex()"></td>
    </tr>
  </table>
 <p>&nbsp;</p>
  <table width="544"  align="center" id="tableDetail">
    <tr style="#E9E9E9">
      <td colspan="14" style="#F3CF9B"><div align="center">
          <?php

			if(!$bMod){
				echo '  <input name="eliminar" type="submit" id="eliminar" value="Eliminar" class="bot_RjR">
          				<input name="modificar" type="submit" id="modificar" value="Modificar" class="bot_WsW">';
			}else{
				echo ' <input name="eliminar" disabled type="submit" id="eliminar" value="Eliminar" class="bot_RjR">';
			}
		?>
      </div></td>
    </tr>
    <tr style="#999999">
      <td width="26" nowrap style="#F3CF9B" ><span class="Estilo37">SEL</span></td>
      <td width="57" nowrap style="#F3CF9B" class="Estilo37">CODIGO</td>
      <td width="369" nowrap style="#F3CF9B" class="Estilo37">DESCRIPCION</td>
      <td width="64" nowrap style="#F3CF9B" class="Estilo37">PORCIONES</td>
    </tr>
    <?php

		//Codigo Mostrar Detalle
		$subTotDoc=0.00;
		$ivaTotDoc=0.00;
		$totDoc=0.00;
		$subTotPar=0.00;
		$ivaTotPar=0.00;
		$totPar=0.00;
		$tipCar='-1';
		$contador=0;
		while($dt_invend=mysqli_fetch_array($sq_detfac)){
			$contador++;
			$auxInvent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM corec2 WHERE n_reg='".$dt_invend['nparte1_det']."'"));
			if($dt_invend['id_invend']!=$bSel){// nparte1, np_desc son de la table farticulos
				echo'<tr>
					<td class="detailRowTable"><div align="center">
						<input type="radio" name="bot_det" id="bot_det" value="'.$dt_invend['id_invend'].'">
					</div></td>
					<td class="detailRowTable" ><div align="center">
							'.$auxInvent['n_reg'].'&nbsp;
					</div></td>
                    <td class="detailRowTable" ><div align="left">
							'.$auxInvent['np_desc1'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.$dt_invend['can_ref'].'&nbsp;
					</div></td>
					</tr>';
					
					$sbt = $sbt + $dt_invend['toldes'];
					$q = $q + $dt_invend['ivatotal'];
					$jiu = ($q +$p)-$sbt;				   
				}
		}		
	?>
    <tr>
      <td colspan="14" style="#F3CF9B"><div align="center">
        <input type="submit" name="terminarCaptura" id="terminarCaptura" value="Terminar" class="original">
      </div></td>
    </tr>
  </table>
  <p>&nbsp;</p>
</form>
</body>
</html>
<?php
 mysqli_close($con);?>
